#include <bits/stdc++.h>

using namespace std;

int n,a[10000],b[10000]; double c[100000];

ifstream fi ("sxps.inp");
ofstream fo ("sxps.out");

int xoa(int k, int &tt){
 for (k;k<tt;k++){a[k]=a[k+1];b[k]=b[k+1];}
 tt--;
}

int main(){
 fi>>n;
 int k,ts,ms;
 fi>>k;
 int i,tt=0;
 for (i=2;i<=n;i++){
    for (int g=1;g<i;g++){
        a[tt]=g;
        b[tt]=i;
        c[tt]=double(a[tt])/double(b[tt]);
        tt++;
    }
 }
 a[tt]=0;b[tt]=1;c[tt]=0;tt++;a[tt]=1;b[tt]=1;c[tt]=1;
double maxx;
for (i=0;i<=tt;i++){maxx=c[i];
    for (int g=i+1;g<=tt;g++){
        if (c[i]>c[g]){
            maxx=c[i];
            c[i]=c[g];
            c[g]=maxx;
            ts=a[i];ms=b[i];
            a[i]=a[g];b[i]=b[g];
            a[g]=ts;b[g]=ms;
        }
    }

}
int num=0;
for (i=0;i<tt;i++){
    while (double(a[i])/double(b[i])==double(a[i+1])/double(b[i+1])){xoa(i,tt);}
}
fo<<a[k-1]<<'/'<<b[k-1];
}
